Personal tools
You are here: Home Forum Use Extrusion along path to generate a pipe geometry

Extrusion along path to generate a pipe geometry

Up to Use

Extrusion along path to generate a pipe geometry

Posted by Ashish Kumar at June 25. 2018

I want to mesh a given pipe. I have the information about the trajectory of the pipe, which is just lines. I want to generate a hexahedral mesh around the given trajectory (refer link-1). I am trying to accomplish this by creating a face and extruding that along the given trajectory. This works fine until pipe trajectory remains less than 90 degrees. 

Link-1 for trajectory: https://www.dropbox.com/s/w1y9g946hsg46su/pipeTrajectory.PNG?dl=0

If I create the starting face at the vertical section then vertical section geometry is correct, but horizontal section geometry is incorrect, as shown in the following figure

https://www.dropbox.com/s/akx6n0z9lmtxiqi/Method-1.PNG?dl=0

If I create the starting face at the end of the horizontal section then horizontal section geometry is correct, but vertical section geometry is incorrect, as shown in the following figure

https://www.dropbox.com/s/2sqofseyew6888r/Method-2.PNG?dl=0

Can you please suggest some trick to achieve a uniform solid along all segments of the pipe. Please refer to the following python script for my case. 

https://www.dropbox.com/s/i6z8exm0ru7via2/pipeGeo.Py?dl=0

https://www.dropbox.com/sh/75b4zkf0ghcbg6i/AABoqPPgEsoSOz6Wax4FX8pPa?dl=0

Re: Extrusion along path to generate a pipe geometry

Posted by Saint Michael at June 25. 2018

Re: Extrusion along path to generate a pipe geometry

Posted by Ashish Kumar at June 25. 2018
Hi Michael,
 
Thanks for your reply, but I am unable to understand the arguments provided to MakeThruSections. Can you please give me an example because there is no example in the documentation. Or if you can tell me where is this option in Salome GUI

Re: Extrusion along path to generate a pipe geometry

Posted by Ashish Kumar at June 25. 2018
I tried  "wellBore = geompy.MakeThruSections([startingFace, ExtrusionPath], theModeSolid=1, thePreci = 0.0001, theRuled=1)" in place of "wellBore = geompy.MakePipe(startingFace, ExtrusionPath)" 
But no solid is made while using MakeThruSections. 
 
 
Powered by Ploneboard
Document Actions